## ros-humble-rclcpp-action 16.0.5

=== debian/changelog ===
ros-humble-rclcpp-action (16.0.5-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 17 Jul 2023 00:00:00 -0000

ros-humble-rclcpp-action (16.0.4-2jammy) jammy; urgency=high

  * Revert "Revert "extract the result response before the callback is issued. (#2133 <https://github.com/ros2/rclcpp/issues/2133>)" (#2148 <https://github.com/ros2/rclcpp/issues/2148>)" (#2152 <https://github.com/ros2/rclcpp/issues/2152>)
  * Revert "extract the result response before the callback is issued. (#2133 <https://github.com/ros2/rclcpp/issues/2133>)" (#2148 <https://github.com/ros2/rclcpp/issues/2148>)
  * extract the result response before the callback is issued. (#2133 <https://github.com/ros2/rclcpp/issues/2133>)
  * Contributors: Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rclcpp-action (16.0.3-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-rclcpp-action (16.0.2-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rclcpp-action (16.0.1-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 13 Apr 2022 00:00:00 -0000

ros-humble-rclcpp-action (16.0.0-2jammy) jammy; urgency=high

  * remove things that were deprecated during galactic (#1913 <https://github.com/ros2/rclcpp/issues/1913>)
  * Contributors: William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-rclcpp-action (15.4.0-2jammy) jammy; urgency=high

  * add take_data_by_entity_id API to waitable (#1892 <https://github.com/ros2/rclcpp/issues/1892>)
  * Contributors: Alberto Soragna

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rclcpp-action (15.3.0-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 30 Mar 2022 00:00:00 -0000

ros-humble-rclcpp-action (15.2.0-2jammy) jammy; urgency=high

  * Fix rosdoc2 issues (#1897 <https://github.com/ros2/rclcpp/issues/1897>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 24 Mar 2022 00:00:00 -0000

ros-humble-rclcpp-action (15.1.0-2jammy) jammy; urgency=high

  * Add RMW listener APIs (#1579 <https://github.com/ros2/rclcpp/issues/1579>)
  * Install headers to include/${PROJECT_NAME} (#1888 <https://github.com/ros2/rclcpp/issues/1888>)
  * Contributors: Shane Loretz, iRobot ROS

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rclcpp-action (15.0.0-2jammy) jammy; urgency=high

  * Fix include order and relative paths for cpplint (#1859 <https://github.com/ros2/rclcpp/issues/1859>)
  * Contributors: Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-rclcpp-action (14.1.0-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 05 Jan 2022 00:00:00 -0000

ros-humble-rclcpp-action (14.0.0-2jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#1844 <https://github.com/ros2/rclcpp/issues/1844>)
  * Use rclcpp::guard_condition (#1612 <https://github.com/ros2/rclcpp/issues/1612>)
  * Remove author by request (#1818 <https://github.com/ros2/rclcpp/issues/1818>)
  * Update maintainers (#1817 <https://github.com/ros2/rclcpp/issues/1817>)
  * Suppress clang dead-store warnings in the benchmarks. (#1802 <https://github.com/ros2/rclcpp/issues/1802>)
  * Contributors: Chris Lalancette, Jacob Perron, mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-rclcpp-action (13.1.0-2jammy) jammy; urgency=high

  * Deprecate the void shared_ptr<MessageT> subscription callback signatures (#1713 <https://github.com/ros2/rclcpp/issues/1713>)
  * Contributors: Abrar Rahman Protyasha, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Oct 2021 00:00:00 -0000

ros-humble-rclcpp-action (13.0.0-2jammy) jammy; urgency=high

  * Use rcpputils/scope_exit.hpp and remove rclcpp/scope_exit.hpp. (#1727 <https://github.com/ros2/rclcpp/issues/1727>)
  * Contributors: Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 23 Aug 2021 00:00:00 -0000

ros-humble-rclcpp-action (12.0.0-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Jul 2021 00:00:00 -0000

ros-humble-rclcpp-action (11.2.0-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 21 Jul 2021 00:00:00 -0000

ros-humble-rclcpp-action (11.1.0-2jammy) jammy; urgency=high

  * Fixed occasionally missing goal result caused by race condition (#1677 <https://github.com/ros2/rclcpp/issues/1677>)
  * Contributors: Kaven Yau

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 13 Jul 2021 00:00:00 -0000

ros-humble-rclcpp-action (11.0.0-2jammy) jammy; urgency=high

  * Bump the benchmark timeout for benchmark_action_client (#1671 <https://github.com/ros2/rclcpp/issues/1671>)
  * Contributors: Scott K Logan

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 18 May 2021 00:00:00 -0000

ros-humble-rclcpp-action (10.0.0-2jammy) jammy; urgency=high

  * Returns CancelResponse::REJECT while goal handle failed to transit to CANCELING state (#1641 <https://github.com/ros2/rclcpp/issues/1641>)
  * Fix action server deadlock issue that caused by other mutexes locked in CancelCallback (#1635 <https://github.com/ros2/rclcpp/issues/1635>)
  * Contributors: Kaven Yau

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 11 May 2021 00:00:00 -0000

ros-humble-rclcpp-action (9.0.2-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 14 Apr 2021 00:00:00 -0000

ros-humble-rclcpp-action (9.0.1-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Apr 2021 00:00:00 -0000

ros-humble-rclcpp-action (9.0.0-2jammy) jammy; urgency=high


