## ros-humble-rclcpp-action 16.0.9

=== debian/changelog ===
ros-humble-rclcpp-action (16.0.9-2bookworm) bookworm; urgency=high

  * Do not generate the exception when action service response timeout. (#2464 <https://github.com/ros2/rclcpp/issues/2464>) (#2518 <https://github.com/ros2/rclcpp/issues/2518>)
  * Contributors: mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-rclcpp-action (16.0.8-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rclcpp-action (16.0.7-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rclcpp-action (16.0.6-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rclcpp-action (16.0.5-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 16 Jul 2023 16:00:00 -0000

ros-humble-rclcpp-action (16.0.4-2bookworm) bookworm; urgency=high

  * Revert "Revert "extract the result response before the callback is issued. (#2133 <https://github.com/ros2/rclcpp/issues/2133>)" (#2148 <https://github.com/ros2/rclcpp/issues/2148>)" (#2152 <https://github.com/ros2/rclcpp/issues/2152>)
  * Revert "extract the result response before the callback is issued. (#2133 <https://github.com/ros2/rclcpp/issues/2133>)" (#2148 <https://github.com/ros2/rclcpp/issues/2148>)
  * extract the result response before the callback is issued. (#2133 <https://github.com/ros2/rclcpp/issues/2133>)
  * Contributors: Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rclcpp-action (16.0.3-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rclcpp-action (16.0.2-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rclcpp-action (16.0.1-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 12 Apr 2022 16:00:00 -0000

ros-humble-rclcpp-action (16.0.0-2bookworm) bookworm; urgency=high

  * remove things that were deprecated during galactic (#1913 <https://github.com/ros2/rclcpp/issues/1913>)
  * Contributors: William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rclcpp-action (15.4.0-2bookworm) bookworm; urgency=high

  * add take_data_by_entity_id API to waitable (#1892 <https://github.com/ros2/rclcpp/issues/1892>)
  * Contributors: Alberto Soragna

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-rclcpp-action (15.3.0-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-rclcpp-action (15.2.0-2bookworm) bookworm; urgency=high

  * Fix rosdoc2 issues (#1897 <https://github.com/ros2/rclcpp/issues/1897>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rclcpp-action (15.1.0-2bookworm) bookworm; urgency=high

  * Add RMW listener APIs (#1579 <https://github.com/ros2/rclcpp/issues/1579>)
  * Install headers to include/${PROJECT_NAME} (#1888 <https://github.com/ros2/rclcpp/issues/1888>)
  * Contributors: Shane Loretz, iRobot ROS

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rclcpp-action (15.0.0-2bookworm) bookworm; urgency=high

  * Fix include order and relative paths for cpplint (#1859 <https://github.com/ros2/rclcpp/issues/1859>)
  * Contributors: Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-rclcpp-action (14.1.0-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 04 Jan 2022 16:00:00 -0000

ros-humble-rclcpp-action (14.0.0-2bookworm) bookworm; urgency=high

  * Fixes for uncrustify 0.72 (#1844 <https://github.com/ros2/rclcpp/issues/1844>)
  * Use rclcpp::guard_condition (#1612 <https://github.com/ros2/rclcpp/issues/1612>)
  * Remove author by request (#1818 <https://github.com/ros2/rclcpp/issues/1818>)
  * Update maintainers (#1817 <https://github.com/ros2/rclcpp/issues/1817>)
  * Suppress clang dead-store warnings in the benchmarks. (#1802 <https://github.com/ros2/rclcpp/issues/1802>)
  * Contributors: Chris Lalancette, Jacob Perron, mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rclcpp-action (13.1.0-2bookworm) bookworm; urgency=high

  * Deprecate the void shared_ptr<MessageT> subscription callback signatures (#1713 <https://github.com/ros2/rclcpp/issues/1713>)
  * Contributors: Abrar Rahman Protyasha, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 17 Oct 2021 16:00:00 -0000

ros-humble-rclcpp-action (13.0.0-2bookworm) bookworm; urgency=high

  * Use rcpputils/scope_exit.hpp and remove rclcpp/scope_exit.hpp. (#1727 <https://github.com/ros2/rclcpp/issues/1727>)
  * Contributors: Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 22 Aug 2021 16:00:00 -0000

ros-humble-rclcpp-action (12.0.0-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 25 Jul 2021 16:00:00 -0000

ros-humble-rclcpp-action (11.2.0-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 20 Jul 2021 16:00:00 -0000

ros-humble-rclcpp-action (11.1.0-2bookworm) bookworm; urgency=high

  * Fixed occasionally missing goal result caused by race condition (#1677 <https://github.com/ros2/rclcpp/issues/1677>)
  * Contributors: Kaven Yau

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Jul 2021 16:00:00 -0000

ros-humble-rclcpp-action (11.0.0-2bookworm) bookworm; urgency=high

  * Bump the benchmark timeout for benchmark_action_client (#1671 <https://github.com/ros2/rclcpp/issues/1671>)
  * Contributors: Scott K Logan


